%define codemirror_ver 5.18.2

Name:           notepadqq
Version:        1.0.1
Release:        %mkrel 1
Summary:        A Linux clone of Notepad++
License:        GPLv3
Group:          Editors
URL:            http://notepadqq.altervista.org/wp/
Source0:        https://github.com/notepadqq/notepadqq/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/notepadqq/CodeMirror/archive/%{codemirror_ver}/CodeMirror-%{codemirror_ver}.tar.gz
Patch0:         notepadqq-1.0.1-mga-skip-uneeded-launcher-script.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  qttools5

%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

It helps developers by providing all you can expect from a general
purpose text editor, such as syntax highlighting for more than 100
different languages, code folding, color schemes, file monitoring,
multiple selection and much more.

%prep
%setup -q -a1
%autopatch -p1

# (tpg) install CodeMirror
mv -f CodeMirror-%{codemirror_ver}/* src/editor/libs/codemirror
mkdir -p src/editor/libs/codemirror/mode/m4

%build
%qmake_qt5 PREFIX=%{_prefix} LRELEASE=%{_qt5_bindir}/lrelease

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CONTRIBUTORS.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/


%changelog
* Sun Feb 12 2017 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 1085849
- new version: 1.0.1
- rename end rebase mga-skip-uneeded-launcher-script patch
- remove merged upstream mga-add-French-translation patch

* Sun Oct 02 2016 daviddavid <daviddavid> 0.53.0-2.mga6
+ Revision: 1058152
- embed all translations into the binary (like on master branch)
- update French translation

* Sat Oct 01 2016 akien <akien> 0.53.0-1.mga6
+ Revision: 1057988
- Fix bogus translation lookup

  + daviddavid <daviddavid>
    - new version: 0.53.0
    - new codemirror version: 5.18.2
    - add French translation

* Tue Mar 08 2016 akien <akien> 0.51.0-1.mga6
+ Revision: 987360
- import notepadqq, loosely based on an OpenMandriva spec file

